### Signal

# WebKit WebView::authenticate

#### Declaration

    gboolean
    authenticate (
      WebKitWebView* self,
      WebKitAuthenticationRequest* request,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the user is challenged with HTTP authentication. To let the application access or supply the credentials as well as to allow the client application to either cancel the request or perform the authentication, the signal will pass an instance of the `WebKitAuthenticationRequest` in the `request` argument. To handle this signal asynchronously you should keep a ref of the request and return `TRUE`. To disable HTTP authentication entirely, connect to this signal and simply return `TRUE`.

The default signal handler will run a default authentication dialog asynchronously for the user to interact with.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 2.2

#### Parameters

`request` | `WebKitAuthenticationRequest`
| A `WebKitAuthenticationRequest`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.